<?php

if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');


require_once 'custom/docusign/util.php';
require_once 'custom/docusign/dsapi/library/src/DocuSign_Client.php';
require_once 'custom/docusign/dsapi/library/src/service/DocuSign_ViewsService.php';


$creds = DocuSignUtil::getDocuSignCreds();
$useSobo = false;
if ($_REQUEST['soboUser'] !== 'null') {
    $creds['sobo_user'] = $_REQUEST['soboUser'];
    $useSobo = true;
}
$client = new DocuSign_Client($creds);
if ($client->hasError()) {
    echo json_encode(array('error' => $client->errorMessage));
    return;
}

$viewService = new DocuSign_ViewsService($client);


try {
    $viewResponse = $viewService->views->getConsoleView($useSobo);
} catch (DocuSign_IOException $e) {
    echo json_encode(array('error' => $e->getMessage()));
    return;
}


echo '<script>window.top.location = "' . $viewResponse->url . '";</script>';


