<?php
/**
    * Copyright (c) 2013 DocuSign Incorporated
    * All rights reserved.
    *
    * The information contained herein is confidential and proprietary to
    * Docusign Incorporated, and considered a trade secret
    * as defined under civil and criminal statutes.  Docusign
    * Incorporated shall pursue its civil and criminal remedies in the event
    * of unauthorized use or misappropriation of its trade secrets.  Use
    * of this information by anyone other than authorized employees of
    * Docusign Incorporated is granted only under a written
    * non-disclosure agreement, expressly prescribing the scope and manner
    * of such use.
**/

if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');


require_once 'include/upload_file.php';
require_once 'custom/docusign/util.php';
require_once 'custom/docusign/dsapi/library/src/DocuSign_Client.php';
require_once 'custom/docusign/dsapi/library/src/service/DocuSign_EnvelopeService.php';


$file = new UploadFile();
$file->temp_file_location = 'php://input';
$input = $file->get_file_contents();
DocuSignUtil::dsLog('Notification XML: ' . $input);


$simpleXml = simplexml_load_string($input);
$envelopeId = $simpleXml->EnvelopeStatus[0]->EnvelopeID;
$newStatus = strtolower($simpleXml->EnvelopeStatus[0]->Status);


$creds = DocuSignUtil::getDocuSignCreds();
$client = new DocuSign_Client($creds);
$envService = new DocuSign_EnvelopeService($client);


$statusType = BeanFactory::getBean('docus_DocuSign_Status');
$status = $statusType->retrieve_by_string_fields(array('name' => $envelopeId));


DocuSignUtil::updateEnvelopeStatus($status, $envService, $newStatus);


