<?php

$code = <<<'EOC'
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
<script>


function getQueryValueOf(key) {  
  return unescape(window.location.search.replace(new RegExp("^(?:.*[&\\?]" + escape(key).replace(/[\.\+\*]/g, "\\$&") + "(?:\\=([^&]*))?)?.*$", "i"), "$1"));  
}

var oauthToken = getQueryValueOf('token');
var urlRoot = decodeURIComponent(getQueryValueOf('urlRoot'));
var apiRoot = decodeURIComponent(getQueryValueOf('apiRoot'));
var sugarUserId = getQueryValueOf('sugarUserId');
var recordType = getQueryValueOf('parentRecord');
var recordId = getQueryValueOf('parentId');
var envelopeId = getQueryValueOf('envelopeId');
var isBwc = getQueryValueOf('bwc');
var status = (getQueryValueOf('event') === 'Send') ? 'sent' : 'created';


function bwcPostActivity() {
  var quoteName;

  $.ajax({
    type: 'GET',
    url: apiRoot + '/' + recordType + '/' + recordId,
    headers: {
      'Content-Type': 'application/json',
      'OAuth-Token': oauthToken,
    },
    async: false,
    success: function(data) {
      quoteName = data.name;
    },
  });

  $.ajax({
    type: 'POST',
    url: apiRoot + '/' + recordType + '/' + recordId + '/link/notes',
    headers: {
      'Content-Type': 'application/json',
      'OAuth-Token': oauthToken,
    },
    async: false,
    data: JSON.stringify({
      name: 'Quote "' + quoteName + '" sent with DocuSign',
    }),
  });
}

function modifyDocusignEnvelopeRecord(id, userId, type, typeId, envelopeStatus) {
  $.ajax({
    type: 'POST',
    url: urlRoot + 'index.php?entryPoint=docusignUpdate',
    data: {
      envelopeId: id,
      sugarUserId: userId,
      parentType: type,
      parentId: typeId,
      status: envelopeStatus,
    },
    async: false,
  });
}


if (isBwc === 'true' && status === 'sent') {
  bwcPostActivity();
}


if (getQueryValueOf('event') !== 'Cancel') {
  modifyDocusignEnvelopeRecord(envelopeId, sugarUserId, recordType, recordId, status);
}

window.top.location.reload(true);


</script>
EOC;


echo $code;

