<?php

if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');


require_once 'custom/docusign/util.php';
require_once 'custom/docusign/dsapi/library/src/DocuSign_Client.php';
require_once 'custom/docusign/dsapi/library/src/service/DocuSign_RequestSignatureService.php';
require_once 'custom/docusign/dsapi/library/src/service/DocuSign_ViewsService.php';


// make sure the returnUrl parameters are formatted correctly
$returnUrl = str_replace('&amp;', '&', $_REQUEST['returnUrl']);


$creds = DocuSignUtil::getDocuSignCreds();
$useSobo = false;
if ($_REQUEST['soboUser'] !== 'null') {
    $creds['sobo_user'] = $_REQUEST['soboUser'];
    $useSobo = true;
}
$client = new DocuSign_Client($creds);
if ($client->hasError()) {
    echo json_encode(array('error' => $client->errorMessage));
    return;
}

$sigService = new DocuSign_RequestSignatureService($client);
$viewService = new DocuSign_ViewsService($client);


$signers = array();
$i = 1;
foreach ($_REQUEST['contacts'] as $contact) {
    $signers[] = new DocuSign_Recipient(1, $i, $contact['name'], $contact['email']);
    $i++;
}


function view_getFile($docRevId)
{
    $file = new UploadFile();
    $file->temp_file_location = 'upload/' . $docRevId;
    return $file->get_file_contents();
}


$documents = array();
$i = 1;
foreach ($_REQUEST['documents'] as $document) {
    $content = array_key_exists('revisionId', $document) ? view_getFile($document['revisionId']) : base64_decode($document['content']);

    $documents[] = new DocuSign_Document($document['name'], $i, $content);
    $i++;
}


$endpoint = $_REQUEST['sugarUrlRoot'] . 'index.php?entryPoint=docusignNotification';
$statuses = array(
    'delivered',
    'completed',
    'declined',
    'voided',
);
$emailSubject = 'Document from Sugar 7';


try {

    $eventNotifications = new DocuSign_EventNotification($endpoint, false, false, false, NULL, false, NULL, false, false, false, $statuses, NULL);

    $envResponse = $sigService->signature->createEnvelopeFromDocument($emailSubject, '', 'created', $documents, $signers, $eventNotifications, $useSobo);

    $viewResponse = $viewService->views->getSenderView($returnUrl, $envResponse->envelopeId, $useSobo);

} catch (DocuSign_IOException $e) {
    echo json_encode(array('error' => $e->getMessage()));
    return;
}


echo json_encode(array(
    'url' => $viewResponse->url,
));


