// exported functions
var docusignCreateFrame;
var docusignOpenFrame;
var docusignCloseFrame;


// below is only local to this file
(function($) {


var loader = 'custom/docusign/loader.html';


docusignCloseFrame = function(isBwc) {
  var context = (isBwc === true) ? window.top.document : document;
  var frame = $('#docusignFrame', context);

  // don't run this function if DS frame is not active
  if (frame.css('display') === 'none')
    return;

  frame.css('display', 'none');
  frame.attr('src', loader);

  var dsFrameHeight = frame.height();
  $('#content', context).animate({ top: '-=' + dsFrameHeight + 'px' });
  $('.headerpane', context).animate({ top: '-=' + dsFrameHeight + 'px' });

  var cover = $('#docusignCover', context);
  cover.css('display', 'none');
  cover.animate({ top: '-=' + dsFrameHeight + 'px' });
};


docusignOpenFrame = function(isBwc) {
  var context = (isBwc === true) ? window.top.document : document;
  var frame = $('#docusignFrame', context);

  // don't run this function if DS frame is active
  if (frame.css('display') === 'block')
    return;

  var dsFrameHeight = frame.height();
  $('#content', context).animate({ top: '+=' + dsFrameHeight + 'px' });
  $('.headerpane', context).animate({ top: '+=' + dsFrameHeight + 'px' });

  frame.css('display', 'block'); // show

  var cover = $('#docusignCover', context);
  cover.css('display', 'block'); // show
  cover.animate({ top: '+=' + dsFrameHeight + 'px' });
};


docusignCreateFrame = function(isBwc) {
  var context = (isBwc === true) ? window.top.document : document;
  var sugarNavbarHeight = $('.navbar', context).height() + 2;

  // don't run this function if DS frame has already been created
  if ($('#docusignFrame', context).length > 0)
    return;

  // create the DS frame and insert it after the Sugar header
  var frame = $('<iframe id="docusignFrame" src="' + loader + '">Cannot display the DocuSign view.</iframe>').insertAfter($('#header', context));
  frame.css({
    display: 'none',
    position: 'fixed',
    top: sugarNavbarHeight + 'px',
    width: '100%',
    height: 'auto',
    'min-height': '75%',
    'max-height': '85%',
    border: 0,
  });

  // create the shadow that will appear below the DS frame
  var cover = $('<div id="docusignCover" />').insertAfter($('#header', context));
  cover.css({
    position: 'fixed',
    height: '100%',
    width: '100%',
    background: '#000',
    opacity: '.4',
    filter: 'alpha(opacity = 40)', // for IE
    'z-index': 1020,
    display: 'none',
    cursor: 'pointer',
    top: sugarNavbarHeight + 'px',
    left: 0,
  });
  cover.click(function() {
    docusignCloseFrame(isBwc);
  });

  // account for when user goes to another Sugar record but did not close DS frame
  $((isBwc === true) ? window.top : window).on('hashchange', docusignCloseFrame);
};


})(jQuery);
