<?php


$manifest = array(
    'name' => 'DocuSign for Sugar 7',
    'author' => 'DocuSign Integration',
    'description' => 'Sign your electronic documents with DocuSign!',

    'version' => '1.0.0',
    'published_date' => '2013-11-29',

    'acceptable_sugar_flavors' => array('CE', 'PRO', 'CORP', 'ENT', 'ULT'),
    'acceptable_sugar_versions' => array(
        'regex_matches' => array(
            '7\.[0-9]+\.[0-9]+$',
        ),
    ),
    'icon' => '',
    'is_uninstallable' => true,
    'type' => 'module',

    'remove_tables' => 'true',
);


$installdefs = array(

    'post_install' => array('<basepath>/scripts/post_install.php'),
    'post_uninstall' => array('<basepath>/scripts/post_uninstall.php'),

    'copy' => array(

        // DocuSign-specific code
        array(
            'from' => '<basepath>/docusign/',
            'to' => 'custom/docusign/',
        ),

        // SugarCRM7-style dashlet files
        array(
            'from' => '<basepath>/dashlet/',
            'to' => 'custom/modules/Home/clients/base/views/docusign/',
        ),

        // DocuSign modules/tables
        array(
            'from' => '<basepath>/modules/',
            'to' => 'modules/',
        ),

        // DocuSign entry points
        array(
            'from' => '<basepath>/entryPoints.php',
            'to' => 'custom/Extension/application/Ext/EntryPointRegistry/docusign_entrypoint.php',
        ),

        // DocuSign Sweeper
        array(
            'from' => '<basepath>/scheduler/',
            'to' => 'custom/Extension/modules/Schedulers/Ext/',
        ),

        // URL override for DS config page for backward compatibility
        array(
            'from' => '<basepath>/bwcModules.php',
            'to' => 'include/modules_override.php',
        ),

        // DS dashboard link for Sugar menu
        array(
            'from' => '<basepath>/sugarMenu.hbs',
            'to' => 'custom/clients/base/views/profileactions/profileactions.hbs',
        ),

    ),


    'beans' => array(

        array(
            'module' => 'docus_DocuSign_Configuration',
            'class' => 'docus_DocuSign_Configuration',
            'path' => 'modules/docus_DocuSign_Configuration/docus_DocuSign_Configuration.php',
            'tab' => false,
        ),

        array(
            'module' => 'docus_DocuSign_Status',
            'class' => 'docus_DocuSign_Status',
            'path' => 'modules/docus_DocuSign_Status/docus_DocuSign_Status.php',
            'tab' => false,
        ),

    ),


    'logic_hooks' => array(

        array(
            'module' => 'Quotes',
            'hook' => 'after_ui_frame',
            'order' => 1,
            'description' => 'Render Send with DocuSign entry',
            'file' => 'custom/docusign/hooks/quote.php',
            'class' => 'SendWithDocusignHook',
            'function' => 'renderEntry',
        ),

        array(
            'module' => 'Administration',
            'hook' => 'after_ui_frame',
            'order' => 1,
            'description' => 'Render DocuSign Settings section',
            'file' => 'custom/docusign/hooks/admin.php',
            'class' => 'DocusignAdminHook',
            'function' => 'renderSettingsSection',
        ),

    ),


    'language' => array(
        array(
            'from' => '<basepath>/en_us.lang.php',
            'to_module' => 'application',
            'language' => 'en_us',
        ),
    ),    


);


