<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/**
	* Copyright (c) 2013 DocuSign Incorporated
	* All rights reserved.
	* 
	* The information contained herein is confidential and proprietary to
	* Docusign Incorporated, and considered a trade secret
	* as defined under civil and criminal statutes.  Docusign
	* Incorporated shall pursue its civil and criminal remedies in the event
	* of unauthorized use or misappropriation of its trade secrets.  Use
	* of this information by anyone other than authorized employees of
	* Docusign Incorporated is granted only under a written
	* non-disclosure agreement, expressly prescribing the scope and manner
	* of such use.
**/

require_once('include/MVC/View/SugarView.php');
require_once('modules/docus_DocuSign_Configuration/docus_DocuSign_Configuration.php');

class ViewDsconfig extends SugarView
{
    /**
	 * @see SugarView::_getModuleTitleParams()
	 */
	protected function _getModuleTitleParams($browserTitle = false)
	{
		global $mod_strings;
		return array("<a href='index.php?module=Administration&action=index'>DocuSign Configuration</a>", 'DocuSign Settings');
	}

    /**
	 * @see SugarView::preDisplay()
	 */
	public function preDisplay()
 	{
		/* FIX ME - Uncomment the following code to check if user is admin
	    if (!is_admin($current_user)) {
	        sugar_die("Unauthorized access to administration.");
        }
		*/
    }

    /**
	 * @see SugarView::display()
	 */
	public function display()
	{
        global $mod_strings;
        global $app_list_strings;
        global $app_strings;
        global $current_user;
        global $sugar_config;

        echo $this->getModuleTitle();
        global $currentModule;
		
		$this->action = "docusignSave";

        $GLOBALS['log']->info("DocuSign ConfigureSettings view");
        $this->ss->assign("MOD", $mod_strings);
        $this->ss->assign("APP", $app_strings);
		
		// set the default selected ds environment	
		$docusignConfig = new docus_DocuSign_Configuration();
		$docusignConfig->retrieve_by_string_fields(array('name'=>'DocuSignConfig'));
		
		$envToUse = 'www';
		if (!empty($docusignConfig->id))
		{
			$configuredEnv = $docusignConfig->docusign_environment;
			if ($configuredEnv == 'www' || $configuredEnv == 'demo')
			{
				$envToUse = $configuredEnv;
			}
		}

		$envOpts = 	'<option ' . ($envToUse === 'www' ? 'selected="selected"' : '') . ' value="www" >Production</option>' . 
					'<option ' . ($envToUse === 'demo' ? 'selected="selected"' : '') . ' value="demo" >Demo</option>';

		$this->ss->assign("ENV_OPTIONS", $envOpts);
        $this->ss->assign("RETURN_MODULE", "Administration");
        $this->ss->assign("RETURN_ACTION", "index");
        $this->ss->assign("MODULE", $currentModule);
        $this->ss->assign("PRINT_URL", "index.php?".$GLOBALS['request_string']);
        $this->ss->assign("HEADER", get_module_title("docus_DocuSign_Configuration", "{MOD.LBL_DS_CONFIGURATION}", true));
        //$this->ss->display('modules/docus_DocuSign_Configuration/tpls/dsconfig.tpl');	
		echo $this->ss->fetch('modules/docus_DocuSign_Configuration/tpls/dsconfig.tpl');	
    }
}
