<?php
/**
	* Copyright (c) 2013 DocuSign Incorporated
	* All rights reserved.
	*
	* The information contained herein is confidential and proprietary to
	* Docusign Incorporated, and considered a trade secret
	* as defined under civil and criminal statutes.  Docusign
	* Incorporated shall pursue its civil and criminal remedies in the event
	* of unauthorized use or misappropriation of its trade secrets.  Use
	* of this information by anyone other than authorized employees of
	* Docusign Incorporated is granted only under a written
	* non-disclosure agreement, expressly prescribing the scope and manner
	* of such use.
**/

array_push($job_strings, 'docusign_job');

require_once 'custom/docusign/util.php';
require_once 'custom/docusign/dsapi/library/src/DocuSign_Client.php';
require_once 'custom/docusign/dsapi/library/src/service/DocuSign_EnvelopeService.php';

function docusign_job() {

	DocuSignUtil::dsLog('DocuSignScheduler -> docusign_job() - Entering');
	$creds = DocuSignUtil::getDocuSignCreds();
	$client = new DocuSign_Client($creds);
	$envService = new DocuSign_EnvelopeService($client);

	$bean = BeanFactory::getBean('docus_DocuSign_Status');
	$response = $bean->get_list("", "docus_docusign_status.docusign_envelopeStatus != 'completed'"
									. " AND docus_docusign_status.docusign_envelopeStatus != 'voided'"
									. " AND docus_docusign_status.docusign_envelopeStatus != 'declined'" );
	$dsStatusList = $response['list'];

	DocuSignUtil::dsLog('DocuSignScheduler -> ' . count($dsStatusList) . ' status records found.' );

	foreach ($dsStatusList as $dsStatus) {
		$envelopeId = $dsStatus->getFieldValue("name");
		$response = $envService->envelope->getEnvelope($envelopeId);
		$newStatus = $response->status;

		DocuSignUtil::updateEnvelopeStatus($dsStatus, $envService, $newStatus);
	}

	DocuSignUtil::dsLog('DocuSignScheduler -> docusign_job() - Exiting');
	return true;
}

